Subject: [manet] I have already setup ns2 but I have the following error

From: AHMED SALAH <[email-masked]>
Date: Sun, 15 Apr 2007 10:33:53 -0700 (PDT)

dear all, 
 I decide to run (geogride,lbm gamer) geocast routing protocls   on my pc oprating 
system(linux plus fedora) 

I have already setup 2.1b7a  but when i tray to run  ( Geocast-prtocols  )  the following error message can you help  me to  correct that error 

********************************************************************** ************ 

************************************************************ 
the error message is 

[root@localhost ns-allinone-2.1b7a]# cd ns-2.1b7a 

[root@localhost ns-2.1b7a]# cd gamer 

[root@localhost gamer]# ns actGamer_study1.tcl 30  mob30-1 

setting other default 
settings... 

num_nodes is set 30 

creating channel... 

invalid command name "Mac/NULL" 

while executing 
"Mac/NULL create _o19 " 

invoked from within 
"catch "$className create $o $args" msg" 

(procedure "new" line 3) 

invoked from within 
"new $mactype" 

(procedure "_o14" line 10) 

(Node/MobileNode add-interface line 10) 

invoked from within 
"$node add-interface $chan $propInstance_ $llType_ $macType_   $ifqType_ $ifqlen_ $phyType_ $antType_" 

(procedure "_o3" line 46) 

(Simulator create-wireless-node line 46) 

invoked from within 
"_o3 create-wireless-node" 

("eval" body line 1) 

invoked from within 
"eval $self create-wireless-node $args" 

(procedure "_o3" line 14) 

(Simulator node line 14) 

   invoked from within 
"$ns_ node" 

("for" body line 2) 

invoked from within 
"for {set i 0} {$i <= $val(nn) } {incr i} { 
set node_($i) [$ns_ node] 
$node_($i) 

random-motion 0           ;# disable random motion 
}" 

(file "actGamer_study1.tcl" line 129) 

********************************************************************** *** 

[root@localhost gamer]# cd .. 

[root@localhost ns-2.1b7a]# cd lbm 

[root@localhost lbm]# ns box_study1.tcl 30 mob30-1 

setting other default 
settings... 
removing unecessary packet headers... 

num_nodes is set 30 
creating channel... 

invalid command name "Mac/NULL" 

while executing 
"Mac/NULL create _o19 " 

invoked from within 
"catch "$className create $o $args" msg" 

(procedure "new" line 3) 

invoked from within 
"new $mactype" 

  (procedure "_o14" line 10) 

(Node/MobileNode add-interface line 10) 

  invoked from within 
"$node add-interface $chan $propInstance_ $llType_ $macType_   $ifqType_ $ifqlen_ $phyType_ $antType_" 

(procedure "_o3" line 46) 

(Simulator create-wireless-node line 46) 

  invoked from within 
"_o3 create-wireless-node" 

("eval" body line 1) 

invoked from within 
"eval $self create-wireless-node $args" 

(procedure "_o3" line 14) 

(Simulator node line 14) 

invoked from within 
"$ns_ node" 

("for" body line 2) 

invoked from within 
"for {set i 0} {$i <= $val(nn) } {incr i} { 
set node_($i) [$ns_ node] 
$node_($i) random-motion 0 
     ;# disable random motion 
}" 

(file "box_study1.tcl" line 130) 

********************************************************************** ************ 

[root@localhost lbm]# cd  .. 

[root@localhost ns-2.1b7a]# cd geogride 

bash: cd: geogride: No such file or directory 
[ 
root@localhost ns-2.1b7a]# cd geogrid 

[root@localhost geogrid]# ns run_study1.tcl 30 mob30-1 

invalid command name "Agent/GeoGRID" 

while executing 
"Agent/GeoGRID instproc sendMulticastData 
{minExtX minExtY maxExtX maxExtY size {forwardMethod ""}} { 
   set ns [Simulator instance]    ;# Figure out ..." 

(file "sendmulticastdata.tcl" line 38) 

invoked from within 
"source.orig sendmulticastdata.tcl" 

   ("uplevel" body line 1) 

invoked from within 
"uplevel source.orig $fileName" 

  (procedure "source" line 12) 

invoked from within 
"source sendmulticastdata.tcl" 

(file "run_study1.tcl" line 25) 

[root@localhost geogrid]# 

---------------------------------
Ahhh...imagining that irresistible "new car" smell?
 Check outnew cars at Yahoo! Autos.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet